.footer {
  background-color: #333;
  padding: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.footer-text,
.footer-map,
.footer-address {
  flex: 1;
  text-align: center;
  padding: 10px;
}

.footer-text p,
.footer-address p {
  color: #fff;
  margin: 0;
}

.map-image {
  width: 300px;
  height: 100px;
  /* border-radius: 50%; */
  border: 2px solid #fff;
}

.footer-text {
  margin-right: 20px;
}

.footer-address {
  margin-left: 20px;
}

.footer-hr {
  width: 100%;
  border-top: 1px solid #aaa;
  margin: 10px 0;
}

.footer-left {
  flex: 1;
  text-align: left;
}

.footer-left p {
  color: #fff;
  margin: 0;
}

.footer-right {
  display: flex;
  align-items: center;
}

.social-icon {
  color: #fff;
  margin-right: 10px;
  font-size: 24px;
}

.social-icon:hover {
  color: #aaa;
}
